Bug 1478247 - Cannot add dependency job for unit warning reported during Red Hat Enterprise Linux 7.4 installation
Cannot add dependency job for unit warning reported during Red Hat Enterprise...
Status: MODIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lorax (Show other bugs)
7.4
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Brian Lane
Release Test Team
Petr Bokoc
:
Depends On:
Blocks: 1420851 1478303
  Show dependency treegraph
 
Reported: 2017-08-04 02:20 EDT by Simon Reber
Modified: 2017-09-18 12:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: lorax-19.6.95-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3139581 None None None 2017-08-04 02:21 EDT

  None (edit)
Description Simon Reber 2017-08-04 02:20:03 EDT
Description of problem:

When installing Red Hat Enterprise Linux 7.4 from scratch the following warning messages are reported:

16:00:15,997 WARNING systemd:Cannot add dependency job for unit lvm2-monitor.service, ignoring: Unit not found.
16:00:15,997 WARNING systemd:Cannot add dependency job for unit systemd-tmpfiles-clean.timer, ignoring: Unit is masked.
16:00:15,997 WARNING systemd:Cannot add dependency job for unit rhel-configure.service, ignoring: Unit is masked.
16:00:15,998 WARNING systemd:Cannot add dependency job for unit rhel-autorelabel-mark.service, ignoring: Unit is masked.
16:00:15,998 WARNING systemd:Cannot add dependency job for unit rhel-autorelabel.service, ignoring: Unit is masked.
16:00:15,998 WARNING systemd:Cannot add dependency job for unit rhel-loadmodules.service, ignoring: Unit is masked.
[...]
16:00:16,815 WARNING systemd:Cannot add dependency job for unit lvm2-monitor.service, ignoring: Unit not found.
16:00:16,816 WARNING systemd:Cannot add dependency job for unit systemd-tmpfiles-clean.timer, ignoring: Unit is masked.
16:00:16,816 WARNING systemd:Cannot add dependency job for unit rhel-configure.service, ignoring: Unit is masked.
16:00:16,816 WARNING systemd:Cannot add dependency job for unit rhel-autorelabel-mark.service, ignoring: Unit is masked.
16:00:16,817 WARNING systemd:Cannot add dependency job for unit rhel-autorelabel.service, ignoring: Unit is masked.
16:00:16,820 WARNING systemd:Cannot add dependency job for unit rhel-loadmodules.service, ignoring: Unit is masked.

Seems we are missing some dependencies or have other issues with parts of `systemd` in the installer. So far I did not see that these warnings are causing issues, but we should definitely investigate them and address it.

Version-Release number of selected component (if applicable):

 - 21.48.22.121-1

How reproducible:

 - always

Steps to Reproduce:
1. Install Red Hat Enterprise Linux 7.4 using kickstart
2. Inspect `/var/log/anaconda/syslog` after the installation completed
3.

Actual results:

Following messages are being reported when certain `systemd` activity are being triggered.

16:00:16,815 WARNING systemd:Cannot add dependency job for unit lvm2-monitor.service, ignoring: Unit not found.
16:00:16,816 WARNING systemd:Cannot add dependency job for unit systemd-tmpfiles-clean.timer, ignoring: Unit is masked.
16:00:16,816 WARNING systemd:Cannot add dependency job for unit rhel-configure.service, ignoring: Unit is masked.
16:00:16,816 WARNING systemd:Cannot add dependency job for unit rhel-autorelabel-mark.service, ignoring: Unit is masked.
16:00:16,817 WARNING systemd:Cannot add dependency job for unit rhel-autorelabel.service, ignoring: Unit is masked.
16:00:16,820 WARNING systemd:Cannot add dependency job for unit rhel-loadmodules.service, ignoring: Unit is masked.

Expected results:

No warning message to be reported during the installation. Respectively no "Cannot add dependency job for unit" warning message when running `systemd` activtiy.

Additional info:
Comment 2 Jiri Konecny 2017-08-04 04:49:36 EDT
Looks to me like there are missing parts in the installation environment. Lorax is the component responsible for creation of stage2 image.

Changing component to lorax.
Comment 3 Brian Lane 2017-08-09 21:44:31 EDT
https://github.com/rhinstaller/lorax/pull/237

fixes the 'Unit not found.' but there isn't really anything to do about the masked units that's a normal response when you've masked services that cannot be disabled because they are in /usr/lib/systemd/

I've also removed the lvm2-activation-generator which was also logging an error.

Note You need to log in before you can comment on or make changes to this bug.